"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SageMakerClient_1 = require("./SageMakerClient");
var AddTagsCommand_1 = require("./commands/AddTagsCommand");
var CreateAlgorithmCommand_1 = require("./commands/CreateAlgorithmCommand");
var CreateCodeRepositoryCommand_1 = require("./commands/CreateCodeRepositoryCommand");
var CreateCompilationJobCommand_1 = require("./commands/CreateCompilationJobCommand");
var CreateEndpointCommand_1 = require("./commands/CreateEndpointCommand");
var CreateEndpointConfigCommand_1 = require("./commands/CreateEndpointConfigCommand");
var CreateHyperParameterTuningJobCommand_1 = require("./commands/CreateHyperParameterTuningJobCommand");
var CreateLabelingJobCommand_1 = require("./commands/CreateLabelingJobCommand");
var CreateModelCommand_1 = require("./commands/CreateModelCommand");
var CreateModelPackageCommand_1 = require("./commands/CreateModelPackageCommand");
var CreateNotebookInstanceCommand_1 = require("./commands/CreateNotebookInstanceCommand");
var CreateNotebookInstanceLifecycleConfigCommand_1 = require("./commands/CreateNotebookInstanceLifecycleConfigCommand");
var CreatePresignedNotebookInstanceUrlCommand_1 = require("./commands/CreatePresignedNotebookInstanceUrlCommand");
var CreateTrainingJobCommand_1 = require("./commands/CreateTrainingJobCommand");
var CreateTransformJobCommand_1 = require("./commands/CreateTransformJobCommand");
var CreateWorkteamCommand_1 = require("./commands/CreateWorkteamCommand");
var DeleteAlgorithmCommand_1 = require("./commands/DeleteAlgorithmCommand");
var DeleteCodeRepositoryCommand_1 = require("./commands/DeleteCodeRepositoryCommand");
var DeleteEndpointCommand_1 = require("./commands/DeleteEndpointCommand");
var DeleteEndpointConfigCommand_1 = require("./commands/DeleteEndpointConfigCommand");
var DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
var DeleteModelPackageCommand_1 = require("./commands/DeleteModelPackageCommand");
var DeleteNotebookInstanceCommand_1 = require("./commands/DeleteNotebookInstanceCommand");
var DeleteNotebookInstanceLifecycleConfigCommand_1 = require("./commands/DeleteNotebookInstanceLifecycleConfigCommand");
var DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
var DeleteWorkteamCommand_1 = require("./commands/DeleteWorkteamCommand");
var DescribeAlgorithmCommand_1 = require("./commands/DescribeAlgorithmCommand");
var DescribeCodeRepositoryCommand_1 = require("./commands/DescribeCodeRepositoryCommand");
var DescribeCompilationJobCommand_1 = require("./commands/DescribeCompilationJobCommand");
var DescribeEndpointCommand_1 = require("./commands/DescribeEndpointCommand");
var DescribeEndpointConfigCommand_1 = require("./commands/DescribeEndpointConfigCommand");
var DescribeHyperParameterTuningJobCommand_1 = require("./commands/DescribeHyperParameterTuningJobCommand");
var DescribeLabelingJobCommand_1 = require("./commands/DescribeLabelingJobCommand");
var DescribeModelCommand_1 = require("./commands/DescribeModelCommand");
var DescribeModelPackageCommand_1 = require("./commands/DescribeModelPackageCommand");
var DescribeNotebookInstanceCommand_1 = require("./commands/DescribeNotebookInstanceCommand");
var DescribeNotebookInstanceLifecycleConfigCommand_1 = require("./commands/DescribeNotebookInstanceLifecycleConfigCommand");
var DescribeSubscribedWorkteamCommand_1 = require("./commands/DescribeSubscribedWorkteamCommand");
var DescribeTrainingJobCommand_1 = require("./commands/DescribeTrainingJobCommand");
var DescribeTransformJobCommand_1 = require("./commands/DescribeTransformJobCommand");
var DescribeWorkteamCommand_1 = require("./commands/DescribeWorkteamCommand");
var GetSearchSuggestionsCommand_1 = require("./commands/GetSearchSuggestionsCommand");
var ListAlgorithmsCommand_1 = require("./commands/ListAlgorithmsCommand");
var ListCodeRepositoriesCommand_1 = require("./commands/ListCodeRepositoriesCommand");
var ListCompilationJobsCommand_1 = require("./commands/ListCompilationJobsCommand");
var ListEndpointConfigsCommand_1 = require("./commands/ListEndpointConfigsCommand");
var ListEndpointsCommand_1 = require("./commands/ListEndpointsCommand");
var ListHyperParameterTuningJobsCommand_1 = require("./commands/ListHyperParameterTuningJobsCommand");
var ListLabelingJobsCommand_1 = require("./commands/ListLabelingJobsCommand");
var ListLabelingJobsForWorkteamCommand_1 = require("./commands/ListLabelingJobsForWorkteamCommand");
var ListModelPackagesCommand_1 = require("./commands/ListModelPackagesCommand");
var ListModelsCommand_1 = require("./commands/ListModelsCommand");
var ListNotebookInstanceLifecycleConfigsCommand_1 = require("./commands/ListNotebookInstanceLifecycleConfigsCommand");
var ListNotebookInstancesCommand_1 = require("./commands/ListNotebookInstancesCommand");
var ListSubscribedWorkteamsCommand_1 = require("./commands/ListSubscribedWorkteamsCommand");
var ListTagsCommand_1 = require("./commands/ListTagsCommand");
var ListTrainingJobsCommand_1 = require("./commands/ListTrainingJobsCommand");
var ListTrainingJobsForHyperParameterTuningJobCommand_1 = require("./commands/ListTrainingJobsForHyperParameterTuningJobCommand");
var ListTransformJobsCommand_1 = require("./commands/ListTransformJobsCommand");
var ListWorkteamsCommand_1 = require("./commands/ListWorkteamsCommand");
var RenderUiTemplateCommand_1 = require("./commands/RenderUiTemplateCommand");
var SearchCommand_1 = require("./commands/SearchCommand");
var StartNotebookInstanceCommand_1 = require("./commands/StartNotebookInstanceCommand");
var StopCompilationJobCommand_1 = require("./commands/StopCompilationJobCommand");
var StopHyperParameterTuningJobCommand_1 = require("./commands/StopHyperParameterTuningJobCommand");
var StopLabelingJobCommand_1 = require("./commands/StopLabelingJobCommand");
var StopNotebookInstanceCommand_1 = require("./commands/StopNotebookInstanceCommand");
var StopTrainingJobCommand_1 = require("./commands/StopTrainingJobCommand");
var StopTransformJobCommand_1 = require("./commands/StopTransformJobCommand");
var UpdateCodeRepositoryCommand_1 = require("./commands/UpdateCodeRepositoryCommand");
var UpdateEndpointCommand_1 = require("./commands/UpdateEndpointCommand");
var UpdateEndpointWeightsAndCapacitiesCommand_1 = require("./commands/UpdateEndpointWeightsAndCapacitiesCommand");
var UpdateNotebookInstanceCommand_1 = require("./commands/UpdateNotebookInstanceCommand");
var UpdateNotebookInstanceLifecycleConfigCommand_1 = require("./commands/UpdateNotebookInstanceLifecycleConfigCommand");
var UpdateWorkteamCommand_1 = require("./commands/UpdateWorkteamCommand");
var SageMaker = /** @class */ (function (_super) {
    tslib_1.__extends(SageMaker, _super);
    function SageMaker() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SageMaker.prototype.addTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createAlgorithm = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAlgorithmCommand_1.CreateAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createCodeRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCodeRepositoryCommand_1.CreateCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createCompilationJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCompilationJobCommand_1.CreateCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEndpointCommand_1.CreateEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createEndpointConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEndpointConfigCommand_1.CreateEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createHyperParameterTuningJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateHyperParameterTuningJobCommand_1.CreateHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createLabelingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLabelingJobCommand_1.CreateLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createModelPackage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateModelPackageCommand_1.CreateModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateNotebookInstanceCommand_1.CreateNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createNotebookInstanceLifecycleConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateNotebookInstanceLifecycleConfigCommand_1.CreateNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createPresignedNotebookInstanceUrl = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePresignedNotebookInstanceUrlCommand_1.CreatePresignedNotebookInstanceUrlCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createTrainingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTrainingJobCommand_1.CreateTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createTransformJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTransformJobCommand_1.CreateTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.createWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateWorkteamCommand_1.CreateWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteAlgorithm = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAlgorithmCommand_1.DeleteAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteCodeRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCodeRepositoryCommand_1.DeleteCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEndpointCommand_1.DeleteEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteEndpointConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEndpointConfigCommand_1.DeleteEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteModelPackage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteModelPackageCommand_1.DeleteModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteNotebookInstanceCommand_1.DeleteNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteNotebookInstanceLifecycleConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteNotebookInstanceLifecycleConfigCommand_1.DeleteNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTagsCommand_1.DeleteTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.deleteWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteWorkteamCommand_1.DeleteWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeAlgorithm = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAlgorithmCommand_1.DescribeAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeCodeRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCodeRepositoryCommand_1.DescribeCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeCompilationJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCompilationJobCommand_1.DescribeCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEndpointCommand_1.DescribeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeEndpointConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEndpointConfigCommand_1.DescribeEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeHyperParameterTuningJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeHyperParameterTuningJobCommand_1.DescribeHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeLabelingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLabelingJobCommand_1.DescribeLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeModelCommand_1.DescribeModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeModelPackage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeModelPackageCommand_1.DescribeModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeNotebookInstanceCommand_1.DescribeNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeNotebookInstanceLifecycleConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeNotebookInstanceLifecycleConfigCommand_1.DescribeNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeSubscribedWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSubscribedWorkteamCommand_1.DescribeSubscribedWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeTrainingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTrainingJobCommand_1.DescribeTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeTransformJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTransformJobCommand_1.DescribeTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.describeWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeWorkteamCommand_1.DescribeWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.getSearchSuggestions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSearchSuggestionsCommand_1.GetSearchSuggestionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listAlgorithms = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAlgorithmsCommand_1.ListAlgorithmsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listCodeRepositories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCodeRepositoriesCommand_1.ListCodeRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listCompilationJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCompilationJobsCommand_1.ListCompilationJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listEndpointConfigs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListEndpointConfigsCommand_1.ListEndpointConfigsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListEndpointsCommand_1.ListEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listHyperParameterTuningJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListHyperParameterTuningJobsCommand_1.ListHyperParameterTuningJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listLabelingJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListLabelingJobsCommand_1.ListLabelingJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listLabelingJobsForWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListLabelingJobsForWorkteamCommand_1.ListLabelingJobsForWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listModelPackages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListModelPackagesCommand_1.ListModelPackagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listModels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListModelsCommand_1.ListModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listNotebookInstanceLifecycleConfigs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListNotebookInstanceLifecycleConfigsCommand_1.ListNotebookInstanceLifecycleConfigsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listNotebookInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListNotebookInstancesCommand_1.ListNotebookInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listSubscribedWorkteams = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSubscribedWorkteamsCommand_1.ListSubscribedWorkteamsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listTrainingJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTrainingJobsCommand_1.ListTrainingJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listTrainingJobsForHyperParameterTuningJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTrainingJobsForHyperParameterTuningJobCommand_1.ListTrainingJobsForHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listTransformJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTransformJobsCommand_1.ListTransformJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.listWorkteams = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListWorkteamsCommand_1.ListWorkteamsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.renderUiTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RenderUiTemplateCommand_1.RenderUiTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.search = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SearchCommand_1.SearchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.startNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartNotebookInstanceCommand_1.StartNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopCompilationJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopCompilationJobCommand_1.StopCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopHyperParameterTuningJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopHyperParameterTuningJobCommand_1.StopHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopLabelingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopLabelingJobCommand_1.StopLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopNotebookInstanceCommand_1.StopNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopTrainingJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopTrainingJobCommand_1.StopTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.stopTransformJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopTransformJobCommand_1.StopTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateCodeRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateCodeRepositoryCommand_1.UpdateCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateEndpointCommand_1.UpdateEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateEndpointWeightsAndCapacities = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateEndpointWeightsAndCapacitiesCommand_1.UpdateEndpointWeightsAndCapacitiesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateNotebookInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateNotebookInstanceCommand_1.UpdateNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateNotebookInstanceLifecycleConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateNotebookInstanceLifecycleConfigCommand_1.UpdateNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SageMaker.prototype.updateWorkteam = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateWorkteamCommand_1.UpdateWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SageMaker;
}(SageMakerClient_1.SageMakerClient));
exports.SageMaker = SageMaker;
//# sourceMappingURL=SageMaker.js.map