"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCodeRepository_1 = require("../model/operations/CreateCodeRepository");
var CreateCodeRepositoryCommand = /** @class */ (function () {
    function CreateCodeRepositoryCommand(input) {
        this.input = input;
        this.model = CreateCodeRepository_1.CreateCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCodeRepositoryCommand;
}());
exports.CreateCodeRepositoryCommand = CreateCodeRepositoryCommand;
//# sourceMappingURL=CreateCodeRepositoryCommand.js.map