"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCompilationJob_1 = require("../model/operations/CreateCompilationJob");
var CreateCompilationJobCommand = /** @class */ (function () {
    function CreateCompilationJobCommand(input) {
        this.input = input;
        this.model = CreateCompilationJob_1.CreateCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCompilationJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCompilationJobCommand;
}());
exports.CreateCompilationJobCommand = CreateCompilationJobCommand;
//# sourceMappingURL=CreateCompilationJobCommand.js.map