"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateEndpointConfig_1 = require("../model/operations/CreateEndpointConfig");
var CreateEndpointConfigCommand = /** @class */ (function () {
    function CreateEndpointConfigCommand(input) {
        this.input = input;
        this.model = CreateEndpointConfig_1.CreateEndpointConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateEndpointConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateEndpointConfigCommand;
}());
exports.CreateEndpointConfigCommand = CreateEndpointConfigCommand;
//# sourceMappingURL=CreateEndpointConfigCommand.js.map