"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateHyperParameterTuningJob_1 = require("../model/operations/CreateHyperParameterTuningJob");
var CreateHyperParameterTuningJobCommand = /** @class */ (function () {
    function CreateHyperParameterTuningJobCommand(input) {
        this.input = input;
        this.model = CreateHyperParameterTuningJob_1.CreateHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateHyperParameterTuningJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateHyperParameterTuningJobCommand;
}());
exports.CreateHyperParameterTuningJobCommand = CreateHyperParameterTuningJobCommand;
//# sourceMappingURL=CreateHyperParameterTuningJobCommand.js.map