"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLabelingJob_1 = require("../model/operations/CreateLabelingJob");
var CreateLabelingJobCommand = /** @class */ (function () {
    function CreateLabelingJobCommand(input) {
        this.input = input;
        this.model = CreateLabelingJob_1.CreateLabelingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLabelingJobCommand;
}());
exports.CreateLabelingJobCommand = CreateLabelingJobCommand;
//# sourceMappingURL=CreateLabelingJobCommand.js.map