"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateModelPackage_1 = require("../model/operations/CreateModelPackage");
var CreateModelPackageCommand = /** @class */ (function () {
    function CreateModelPackageCommand(input) {
        this.input = input;
        this.model = CreateModelPackage_1.CreateModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateModelPackageCommand;
}());
exports.CreateModelPackageCommand = CreateModelPackageCommand;
//# sourceMappingURL=CreateModelPackageCommand.js.map