"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateNotebookInstance_1 = require("../model/operations/CreateNotebookInstance");
var CreateNotebookInstanceCommand = /** @class */ (function () {
    function CreateNotebookInstanceCommand(input) {
        this.input = input;
        this.model = CreateNotebookInstance_1.CreateNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateNotebookInstanceCommand;
}());
exports.CreateNotebookInstanceCommand = CreateNotebookInstanceCommand;
//# sourceMappingURL=CreateNotebookInstanceCommand.js.map