"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTrainingJob_1 = require("../model/operations/CreateTrainingJob");
var CreateTrainingJobCommand = /** @class */ (function () {
    function CreateTrainingJobCommand(input) {
        this.input = input;
        this.model = CreateTrainingJob_1.CreateTrainingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTrainingJobCommand;
}());
exports.CreateTrainingJobCommand = CreateTrainingJobCommand;
//# sourceMappingURL=CreateTrainingJobCommand.js.map