"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateWorkteam_1 = require("../model/operations/CreateWorkteam");
var CreateWorkteamCommand = /** @class */ (function () {
    function CreateWorkteamCommand(input) {
        this.input = input;
        this.model = CreateWorkteam_1.CreateWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateWorkteamCommand;
}());
exports.CreateWorkteamCommand = CreateWorkteamCommand;
//# sourceMappingURL=CreateWorkteamCommand.js.map