"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteAlgorithm_1 = require("../model/operations/DeleteAlgorithm");
var DeleteAlgorithmCommand = /** @class */ (function () {
    function DeleteAlgorithmCommand(input) {
        this.input = input;
        this.model = DeleteAlgorithm_1.DeleteAlgorithm;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteAlgorithmCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteAlgorithmCommand;
}());
exports.DeleteAlgorithmCommand = DeleteAlgorithmCommand;
//# sourceMappingURL=DeleteAlgorithmCommand.js.map