"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCodeRepository_1 = require("../model/operations/DeleteCodeRepository");
var DeleteCodeRepositoryCommand = /** @class */ (function () {
    function DeleteCodeRepositoryCommand(input) {
        this.input = input;
        this.model = DeleteCodeRepository_1.DeleteCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCodeRepositoryCommand;
}());
exports.DeleteCodeRepositoryCommand = DeleteCodeRepositoryCommand;
//# sourceMappingURL=DeleteCodeRepositoryCommand.js.map