"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteModel_1 = require("../model/operations/DeleteModel");
var DeleteModelCommand = /** @class */ (function () {
    function DeleteModelCommand(input) {
        this.input = input;
        this.model = DeleteModel_1.DeleteModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteModelCommand;
}());
exports.DeleteModelCommand = DeleteModelCommand;
//# sourceMappingURL=DeleteModelCommand.js.map