/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteModelPackageInput } from "../types/DeleteModelPackageInput";
import { DeleteModelPackageOutput } from "../types/DeleteModelPackageOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DeleteModelPackageInput";
export * from "../types/DeleteModelPackageOutput";
export * from "../types/DeleteModelPackageExceptionsUnion";
export declare class DeleteModelPackageCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteModelPackageInput, OutputTypesUnion, DeleteModelPackageOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteModelPackageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteModelPackageInput, DeleteModelPackageOutput, _stream.Readable>;
    constructor(input: DeleteModelPackageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DeleteModelPackageInput, DeleteModelPackageOutput>;
}
