"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteModelPackage_1 = require("../model/operations/DeleteModelPackage");
var DeleteModelPackageCommand = /** @class */ (function () {
    function DeleteModelPackageCommand(input) {
        this.input = input;
        this.model = DeleteModelPackage_1.DeleteModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteModelPackageCommand;
}());
exports.DeleteModelPackageCommand = DeleteModelPackageCommand;
//# sourceMappingURL=DeleteModelPackageCommand.js.map