"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteNotebookInstance_1 = require("../model/operations/DeleteNotebookInstance");
var DeleteNotebookInstanceCommand = /** @class */ (function () {
    function DeleteNotebookInstanceCommand(input) {
        this.input = input;
        this.model = DeleteNotebookInstance_1.DeleteNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteNotebookInstanceCommand;
}());
exports.DeleteNotebookInstanceCommand = DeleteNotebookInstanceCommand;
//# sourceMappingURL=DeleteNotebookInstanceCommand.js.map