"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCodeRepository_1 = require("../model/operations/DescribeCodeRepository");
var DescribeCodeRepositoryCommand = /** @class */ (function () {
    function DescribeCodeRepositoryCommand(input) {
        this.input = input;
        this.model = DescribeCodeRepository_1.DescribeCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCodeRepositoryCommand;
}());
exports.DescribeCodeRepositoryCommand = DescribeCodeRepositoryCommand;
//# sourceMappingURL=DescribeCodeRepositoryCommand.js.map