"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCompilationJob_1 = require("../model/operations/DescribeCompilationJob");
var DescribeCompilationJobCommand = /** @class */ (function () {
    function DescribeCompilationJobCommand(input) {
        this.input = input;
        this.model = DescribeCompilationJob_1.DescribeCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCompilationJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCompilationJobCommand;
}());
exports.DescribeCompilationJobCommand = DescribeCompilationJobCommand;
//# sourceMappingURL=DescribeCompilationJobCommand.js.map