"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEndpoint_1 = require("../model/operations/DescribeEndpoint");
var DescribeEndpointCommand = /** @class */ (function () {
    function DescribeEndpointCommand(input) {
        this.input = input;
        this.model = DescribeEndpoint_1.DescribeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEndpointCommand;
}());
exports.DescribeEndpointCommand = DescribeEndpointCommand;
//# sourceMappingURL=DescribeEndpointCommand.js.map