"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEndpointConfig_1 = require("../model/operations/DescribeEndpointConfig");
var DescribeEndpointConfigCommand = /** @class */ (function () {
    function DescribeEndpointConfigCommand(input) {
        this.input = input;
        this.model = DescribeEndpointConfig_1.DescribeEndpointConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEndpointConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEndpointConfigCommand;
}());
exports.DescribeEndpointConfigCommand = DescribeEndpointConfigCommand;
//# sourceMappingURL=DescribeEndpointConfigCommand.js.map