"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeHyperParameterTuningJob_1 = require("../model/operations/DescribeHyperParameterTuningJob");
var DescribeHyperParameterTuningJobCommand = /** @class */ (function () {
    function DescribeHyperParameterTuningJobCommand(input) {
        this.input = input;
        this.model = DescribeHyperParameterTuningJob_1.DescribeHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeHyperParameterTuningJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeHyperParameterTuningJobCommand;
}());
exports.DescribeHyperParameterTuningJobCommand = DescribeHyperParameterTuningJobCommand;
//# sourceMappingURL=DescribeHyperParameterTuningJobCommand.js.map