"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLabelingJob_1 = require("../model/operations/DescribeLabelingJob");
var DescribeLabelingJobCommand = /** @class */ (function () {
    function DescribeLabelingJobCommand(input) {
        this.input = input;
        this.model = DescribeLabelingJob_1.DescribeLabelingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLabelingJobCommand;
}());
exports.DescribeLabelingJobCommand = DescribeLabelingJobCommand;
//# sourceMappingURL=DescribeLabelingJobCommand.js.map