"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeModel_1 = require("../model/operations/DescribeModel");
var DescribeModelCommand = /** @class */ (function () {
    function DescribeModelCommand(input) {
        this.input = input;
        this.model = DescribeModel_1.DescribeModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeModelCommand;
}());
exports.DescribeModelCommand = DescribeModelCommand;
//# sourceMappingURL=DescribeModelCommand.js.map