/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeModelPackageInput } from "../types/DescribeModelPackageInput";
import { DescribeModelPackageOutput } from "../types/DescribeModelPackageOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeModelPackageInput";
export * from "../types/DescribeModelPackageOutput";
export * from "../types/DescribeModelPackageExceptionsUnion";
export declare class DescribeModelPackageCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeModelPackageInput, OutputTypesUnion, DescribeModelPackageOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeModelPackageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeModelPackageInput, DescribeModelPackageOutput, _stream.Readable>;
    constructor(input: DescribeModelPackageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeModelPackageInput, DescribeModelPackageOutput>;
}
