"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeModelPackage_1 = require("../model/operations/DescribeModelPackage");
var DescribeModelPackageCommand = /** @class */ (function () {
    function DescribeModelPackageCommand(input) {
        this.input = input;
        this.model = DescribeModelPackage_1.DescribeModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeModelPackageCommand;
}());
exports.DescribeModelPackageCommand = DescribeModelPackageCommand;
//# sourceMappingURL=DescribeModelPackageCommand.js.map