"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeNotebookInstance_1 = require("../model/operations/DescribeNotebookInstance");
var DescribeNotebookInstanceCommand = /** @class */ (function () {
    function DescribeNotebookInstanceCommand(input) {
        this.input = input;
        this.model = DescribeNotebookInstance_1.DescribeNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeNotebookInstanceCommand;
}());
exports.DescribeNotebookInstanceCommand = DescribeNotebookInstanceCommand;
//# sourceMappingURL=DescribeNotebookInstanceCommand.js.map