"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTrainingJob_1 = require("../model/operations/DescribeTrainingJob");
var DescribeTrainingJobCommand = /** @class */ (function () {
    function DescribeTrainingJobCommand(input) {
        this.input = input;
        this.model = DescribeTrainingJob_1.DescribeTrainingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTrainingJobCommand;
}());
exports.DescribeTrainingJobCommand = DescribeTrainingJobCommand;
//# sourceMappingURL=DescribeTrainingJobCommand.js.map