"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTransformJob_1 = require("../model/operations/DescribeTransformJob");
var DescribeTransformJobCommand = /** @class */ (function () {
    function DescribeTransformJobCommand(input) {
        this.input = input;
        this.model = DescribeTransformJob_1.DescribeTransformJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTransformJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTransformJobCommand;
}());
exports.DescribeTransformJobCommand = DescribeTransformJobCommand;
//# sourceMappingURL=DescribeTransformJobCommand.js.map