"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAlgorithms_1 = require("../model/operations/ListAlgorithms");
var ListAlgorithmsCommand = /** @class */ (function () {
    function ListAlgorithmsCommand(input) {
        this.input = input;
        this.model = ListAlgorithms_1.ListAlgorithms;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAlgorithmsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAlgorithmsCommand;
}());
exports.ListAlgorithmsCommand = ListAlgorithmsCommand;
//# sourceMappingURL=ListAlgorithmsCommand.js.map