"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCodeRepositories_1 = require("../model/operations/ListCodeRepositories");
var ListCodeRepositoriesCommand = /** @class */ (function () {
    function ListCodeRepositoriesCommand(input) {
        this.input = input;
        this.model = ListCodeRepositories_1.ListCodeRepositories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCodeRepositoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCodeRepositoriesCommand;
}());
exports.ListCodeRepositoriesCommand = ListCodeRepositoriesCommand;
//# sourceMappingURL=ListCodeRepositoriesCommand.js.map