"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCompilationJobs_1 = require("../model/operations/ListCompilationJobs");
var ListCompilationJobsCommand = /** @class */ (function () {
    function ListCompilationJobsCommand(input) {
        this.input = input;
        this.model = ListCompilationJobs_1.ListCompilationJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCompilationJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCompilationJobsCommand;
}());
exports.ListCompilationJobsCommand = ListCompilationJobsCommand;
//# sourceMappingURL=ListCompilationJobsCommand.js.map