"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListEndpoints_1 = require("../model/operations/ListEndpoints");
var ListEndpointsCommand = /** @class */ (function () {
    function ListEndpointsCommand(input) {
        this.input = input;
        this.model = ListEndpoints_1.ListEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListEndpointsCommand;
}());
exports.ListEndpointsCommand = ListEndpointsCommand;
//# sourceMappingURL=ListEndpointsCommand.js.map