"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListHyperParameterTuningJobs_1 = require("../model/operations/ListHyperParameterTuningJobs");
var ListHyperParameterTuningJobsCommand = /** @class */ (function () {
    function ListHyperParameterTuningJobsCommand(input) {
        this.input = input;
        this.model = ListHyperParameterTuningJobs_1.ListHyperParameterTuningJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListHyperParameterTuningJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListHyperParameterTuningJobsCommand;
}());
exports.ListHyperParameterTuningJobsCommand = ListHyperParameterTuningJobsCommand;
//# sourceMappingURL=ListHyperParameterTuningJobsCommand.js.map