"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLabelingJobs_1 = require("../model/operations/ListLabelingJobs");
var ListLabelingJobsCommand = /** @class */ (function () {
    function ListLabelingJobsCommand(input) {
        this.input = input;
        this.model = ListLabelingJobs_1.ListLabelingJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLabelingJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLabelingJobsCommand;
}());
exports.ListLabelingJobsCommand = ListLabelingJobsCommand;
//# sourceMappingURL=ListLabelingJobsCommand.js.map