"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListModels_1 = require("../model/operations/ListModels");
var ListModelsCommand = /** @class */ (function () {
    function ListModelsCommand(input) {
        this.input = input;
        this.model = ListModels_1.ListModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListModelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListModelsCommand;
}());
exports.ListModelsCommand = ListModelsCommand;
//# sourceMappingURL=ListModelsCommand.js.map