"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListNotebookInstances_1 = require("../model/operations/ListNotebookInstances");
var ListNotebookInstancesCommand = /** @class */ (function () {
    function ListNotebookInstancesCommand(input) {
        this.input = input;
        this.model = ListNotebookInstances_1.ListNotebookInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListNotebookInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListNotebookInstancesCommand;
}());
exports.ListNotebookInstancesCommand = ListNotebookInstancesCommand;
//# sourceMappingURL=ListNotebookInstancesCommand.js.map