"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTrainingJobs_1 = require("../model/operations/ListTrainingJobs");
var ListTrainingJobsCommand = /** @class */ (function () {
    function ListTrainingJobsCommand(input) {
        this.input = input;
        this.model = ListTrainingJobs_1.ListTrainingJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTrainingJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTrainingJobsCommand;
}());
exports.ListTrainingJobsCommand = ListTrainingJobsCommand;
//# sourceMappingURL=ListTrainingJobsCommand.js.map