"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTransformJobs_1 = require("../model/operations/ListTransformJobs");
var ListTransformJobsCommand = /** @class */ (function () {
    function ListTransformJobsCommand(input) {
        this.input = input;
        this.model = ListTransformJobs_1.ListTransformJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTransformJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTransformJobsCommand;
}());
exports.ListTransformJobsCommand = ListTransformJobsCommand;
//# sourceMappingURL=ListTransformJobsCommand.js.map