"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RenderUiTemplate_1 = require("../model/operations/RenderUiTemplate");
var RenderUiTemplateCommand = /** @class */ (function () {
    function RenderUiTemplateCommand(input) {
        this.input = input;
        this.model = RenderUiTemplate_1.RenderUiTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RenderUiTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RenderUiTemplateCommand;
}());
exports.RenderUiTemplateCommand = RenderUiTemplateCommand;
//# sourceMappingURL=RenderUiTemplateCommand.js.map