"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Search_1 = require("../model/operations/Search");
var SearchCommand = /** @class */ (function () {
    function SearchCommand(input) {
        this.input = input;
        this.model = Search_1.Search;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SearchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SearchCommand;
}());
exports.SearchCommand = SearchCommand;
//# sourceMappingURL=SearchCommand.js.map