"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartNotebookInstance_1 = require("../model/operations/StartNotebookInstance");
var StartNotebookInstanceCommand = /** @class */ (function () {
    function StartNotebookInstanceCommand(input) {
        this.input = input;
        this.model = StartNotebookInstance_1.StartNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartNotebookInstanceCommand;
}());
exports.StartNotebookInstanceCommand = StartNotebookInstanceCommand;
//# sourceMappingURL=StartNotebookInstanceCommand.js.map