"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopCompilationJob_1 = require("../model/operations/StopCompilationJob");
var StopCompilationJobCommand = /** @class */ (function () {
    function StopCompilationJobCommand(input) {
        this.input = input;
        this.model = StopCompilationJob_1.StopCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopCompilationJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopCompilationJobCommand;
}());
exports.StopCompilationJobCommand = StopCompilationJobCommand;
//# sourceMappingURL=StopCompilationJobCommand.js.map