"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopHyperParameterTuningJob_1 = require("../model/operations/StopHyperParameterTuningJob");
var StopHyperParameterTuningJobCommand = /** @class */ (function () {
    function StopHyperParameterTuningJobCommand(input) {
        this.input = input;
        this.model = StopHyperParameterTuningJob_1.StopHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopHyperParameterTuningJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopHyperParameterTuningJobCommand;
}());
exports.StopHyperParameterTuningJobCommand = StopHyperParameterTuningJobCommand;
//# sourceMappingURL=StopHyperParameterTuningJobCommand.js.map