"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopLabelingJob_1 = require("../model/operations/StopLabelingJob");
var StopLabelingJobCommand = /** @class */ (function () {
    function StopLabelingJobCommand(input) {
        this.input = input;
        this.model = StopLabelingJob_1.StopLabelingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopLabelingJobCommand;
}());
exports.StopLabelingJobCommand = StopLabelingJobCommand;
//# sourceMappingURL=StopLabelingJobCommand.js.map