"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopNotebookInstance_1 = require("../model/operations/StopNotebookInstance");
var StopNotebookInstanceCommand = /** @class */ (function () {
    function StopNotebookInstanceCommand(input) {
        this.input = input;
        this.model = StopNotebookInstance_1.StopNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopNotebookInstanceCommand;
}());
exports.StopNotebookInstanceCommand = StopNotebookInstanceCommand;
//# sourceMappingURL=StopNotebookInstanceCommand.js.map