"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopTrainingJob_1 = require("../model/operations/StopTrainingJob");
var StopTrainingJobCommand = /** @class */ (function () {
    function StopTrainingJobCommand(input) {
        this.input = input;
        this.model = StopTrainingJob_1.StopTrainingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopTrainingJobCommand;
}());
exports.StopTrainingJobCommand = StopTrainingJobCommand;
//# sourceMappingURL=StopTrainingJobCommand.js.map