"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopTransformJob_1 = require("../model/operations/StopTransformJob");
var StopTransformJobCommand = /** @class */ (function () {
    function StopTransformJobCommand(input) {
        this.input = input;
        this.model = StopTransformJob_1.StopTransformJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopTransformJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopTransformJobCommand;
}());
exports.StopTransformJobCommand = StopTransformJobCommand;
//# sourceMappingURL=StopTransformJobCommand.js.map