"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateCodeRepository_1 = require("../model/operations/UpdateCodeRepository");
var UpdateCodeRepositoryCommand = /** @class */ (function () {
    function UpdateCodeRepositoryCommand(input) {
        this.input = input;
        this.model = UpdateCodeRepository_1.UpdateCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateCodeRepositoryCommand;
}());
exports.UpdateCodeRepositoryCommand = UpdateCodeRepositoryCommand;
//# sourceMappingURL=UpdateCodeRepositoryCommand.js.map