"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateEndpoint_1 = require("../model/operations/UpdateEndpoint");
var UpdateEndpointCommand = /** @class */ (function () {
    function UpdateEndpointCommand(input) {
        this.input = input;
        this.model = UpdateEndpoint_1.UpdateEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateEndpointCommand;
}());
exports.UpdateEndpointCommand = UpdateEndpointCommand;
//# sourceMappingURL=UpdateEndpointCommand.js.map