"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateNotebookInstance_1 = require("../model/operations/UpdateNotebookInstance");
var UpdateNotebookInstanceCommand = /** @class */ (function () {
    function UpdateNotebookInstanceCommand(input) {
        this.input = input;
        this.model = UpdateNotebookInstance_1.UpdateNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateNotebookInstanceCommand;
}());
exports.UpdateNotebookInstanceCommand = UpdateNotebookInstanceCommand;
//# sourceMappingURL=UpdateNotebookInstanceCommand.js.map