"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TrainingSpecification_1 = require("./_TrainingSpecification");
var _InferenceSpecification_1 = require("./_InferenceSpecification");
var _AlgorithmValidationSpecification_1 = require("./_AlgorithmValidationSpecification");
exports.CreateAlgorithmInput = {
    type: "structure",
    required: ["AlgorithmName", "TrainingSpecification"],
    members: {
        AlgorithmName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AlgorithmDescription: {
            shape: {
                type: "string"
            }
        },
        TrainingSpecification: {
            shape: _TrainingSpecification_1._TrainingSpecification
        },
        InferenceSpecification: {
            shape: _InferenceSpecification_1._InferenceSpecification
        },
        ValidationSpecification: {
            shape: _AlgorithmValidationSpecification_1._AlgorithmValidationSpecification
        },
        CertifyForMarketplace: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateAlgorithmInput.js.map