"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LabelingJobInputConfig_1 = require("./_LabelingJobInputConfig");
var _LabelingJobOutputConfig_1 = require("./_LabelingJobOutputConfig");
var _LabelingJobStoppingConditions_1 = require("./_LabelingJobStoppingConditions");
var _LabelingJobAlgorithmsConfig_1 = require("./_LabelingJobAlgorithmsConfig");
var _HumanTaskConfig_1 = require("./_HumanTaskConfig");
var _TagList_1 = require("./_TagList");
exports.CreateLabelingJobInput = {
    type: "structure",
    required: [
        "LabelingJobName",
        "LabelAttributeName",
        "InputConfig",
        "OutputConfig",
        "RoleArn",
        "HumanTaskConfig"
    ],
    members: {
        LabelingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LabelAttributeName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InputConfig: {
            shape: _LabelingJobInputConfig_1._LabelingJobInputConfig
        },
        OutputConfig: {
            shape: _LabelingJobOutputConfig_1._LabelingJobOutputConfig
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        LabelCategoryConfigS3Uri: {
            shape: {
                type: "string"
            }
        },
        StoppingConditions: {
            shape: _LabelingJobStoppingConditions_1._LabelingJobStoppingConditions
        },
        LabelingJobAlgorithmsConfig: {
            shape: _LabelingJobAlgorithmsConfig_1._LabelingJobAlgorithmsConfig
        },
        HumanTaskConfig: {
            shape: _HumanTaskConfig_1._HumanTaskConfig
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateLabelingJobInput.js.map