"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecurityGroupIds_1 = require("./_SecurityGroupIds");
var _TagList_1 = require("./_TagList");
var _NotebookInstanceAcceleratorTypes_1 = require("./_NotebookInstanceAcceleratorTypes");
var _AdditionalCodeRepositoryNamesOrUrls_1 = require("./_AdditionalCodeRepositoryNamesOrUrls");
exports.CreateNotebookInstanceInput = {
    type: "structure",
    required: ["NotebookInstanceName", "InstanceType", "RoleArn"],
    members: {
        NotebookInstanceName: {
            shape: {
                type: "string"
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        SubnetId: {
            shape: {
                type: "string"
            }
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIds_1._SecurityGroupIds
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        LifecycleConfigName: {
            shape: {
                type: "string"
            }
        },
        DirectInternetAccess: {
            shape: {
                type: "string"
            }
        },
        VolumeSizeInGB: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        AcceleratorTypes: {
            shape: _NotebookInstanceAcceleratorTypes_1._NotebookInstanceAcceleratorTypes
        },
        DefaultCodeRepository: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AdditionalCodeRepositories: {
            shape: _AdditionalCodeRepositoryNamesOrUrls_1._AdditionalCodeRepositoryNamesOrUrls
        },
        RootAccess: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateNotebookInstanceInput.js.map