"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameters_1 = require("./_HyperParameters");
var _AlgorithmSpecification_1 = require("./_AlgorithmSpecification");
var _InputDataConfig_1 = require("./_InputDataConfig");
var _OutputDataConfig_1 = require("./_OutputDataConfig");
var _ResourceConfig_1 = require("./_ResourceConfig");
var _VpcConfig_1 = require("./_VpcConfig");
var _StoppingCondition_1 = require("./_StoppingCondition");
var _TagList_1 = require("./_TagList");
exports.CreateTrainingJobInput = {
    type: "structure",
    required: [
        "TrainingJobName",
        "AlgorithmSpecification",
        "RoleArn",
        "OutputDataConfig",
        "ResourceConfig",
        "StoppingCondition"
    ],
    members: {
        TrainingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        HyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        AlgorithmSpecification: {
            shape: _AlgorithmSpecification_1._AlgorithmSpecification
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputDataConfig: {
            shape: _InputDataConfig_1._InputDataConfig
        },
        OutputDataConfig: {
            shape: _OutputDataConfig_1._OutputDataConfig
        },
        ResourceConfig: {
            shape: _ResourceConfig_1._ResourceConfig
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        },
        EnableInterContainerTrafficEncryption: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateTrainingJobInput.js.map