"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TrainingSpecification_1 = require("./_TrainingSpecification");
var _InferenceSpecification_1 = require("./_InferenceSpecification");
var _AlgorithmValidationSpecification_1 = require("./_AlgorithmValidationSpecification");
var _AlgorithmStatusDetails_1 = require("./_AlgorithmStatusDetails");
exports.DescribeAlgorithmOutput = {
    type: "structure",
    required: [
        "AlgorithmName",
        "AlgorithmArn",
        "CreationTime",
        "TrainingSpecification",
        "AlgorithmStatus",
        "AlgorithmStatusDetails"
    ],
    members: {
        AlgorithmName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AlgorithmArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AlgorithmDescription: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingSpecification: {
            shape: _TrainingSpecification_1._TrainingSpecification
        },
        InferenceSpecification: {
            shape: _InferenceSpecification_1._InferenceSpecification
        },
        ValidationSpecification: {
            shape: _AlgorithmValidationSpecification_1._AlgorithmValidationSpecification
        },
        AlgorithmStatus: {
            shape: {
                type: "string"
            }
        },
        AlgorithmStatusDetails: {
            shape: _AlgorithmStatusDetails_1._AlgorithmStatusDetails
        },
        ProductId: {
            shape: {
                type: "string"
            }
        },
        CertifyForMarketplace: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DescribeAlgorithmOutput.js.map