"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StoppingCondition_1 = require("./_StoppingCondition");
var _ModelArtifacts_1 = require("./_ModelArtifacts");
var _InputConfig_1 = require("./_InputConfig");
var _OutputConfig_1 = require("./_OutputConfig");
exports.DescribeCompilationJobOutput = {
    type: "structure",
    required: [
        "CompilationJobName",
        "CompilationJobArn",
        "CompilationJobStatus",
        "StoppingCondition",
        "CreationTime",
        "LastModifiedTime",
        "FailureReason",
        "ModelArtifacts",
        "RoleArn",
        "InputConfig",
        "OutputConfig"
    ],
    members: {
        CompilationJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CompilationJobArn: {
            shape: {
                type: "string"
            }
        },
        CompilationJobStatus: {
            shape: {
                type: "string"
            }
        },
        CompilationStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        CompilationEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        ModelArtifacts: {
            shape: _ModelArtifacts_1._ModelArtifacts
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputConfig: {
            shape: _InputConfig_1._InputConfig
        },
        OutputConfig: {
            shape: _OutputConfig_1._OutputConfig
        }
    }
};
//# sourceMappingURL=DescribeCompilationJobOutput.js.map