"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _InferenceSpecification_1 = require("./_InferenceSpecification");
var _SourceAlgorithmSpecification_1 = require("./_SourceAlgorithmSpecification");
var _ModelPackageValidationSpecification_1 = require("./_ModelPackageValidationSpecification");
var _ModelPackageStatusDetails_1 = require("./_ModelPackageStatusDetails");
exports.DescribeModelPackageOutput = {
    type: "structure",
    required: [
        "ModelPackageName",
        "ModelPackageArn",
        "CreationTime",
        "ModelPackageStatus",
        "ModelPackageStatusDetails"
    ],
    members: {
        ModelPackageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelPackageArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelPackageDescription: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        InferenceSpecification: {
            shape: _InferenceSpecification_1._InferenceSpecification
        },
        SourceAlgorithmSpecification: {
            shape: _SourceAlgorithmSpecification_1._SourceAlgorithmSpecification
        },
        ValidationSpecification: {
            shape: _ModelPackageValidationSpecification_1._ModelPackageValidationSpecification
        },
        ModelPackageStatus: {
            shape: {
                type: "string"
            }
        },
        ModelPackageStatusDetails: {
            shape: _ModelPackageStatusDetails_1._ModelPackageStatusDetails
        },
        CertifyForMarketplace: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DescribeModelPackageOutput.js.map