"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecurityGroupIds_1 = require("./_SecurityGroupIds");
var _NotebookInstanceAcceleratorTypes_1 = require("./_NotebookInstanceAcceleratorTypes");
var _AdditionalCodeRepositoryNamesOrUrls_1 = require("./_AdditionalCodeRepositoryNamesOrUrls");
exports.DescribeNotebookInstanceOutput = {
    type: "structure",
    required: [],
    members: {
        NotebookInstanceArn: {
            shape: {
                type: "string"
            }
        },
        NotebookInstanceName: {
            shape: {
                type: "string"
            }
        },
        NotebookInstanceStatus: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        Url: {
            shape: {
                type: "string"
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        SubnetId: {
            shape: {
                type: "string"
            }
        },
        SecurityGroups: {
            shape: _SecurityGroupIds_1._SecurityGroupIds
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        NetworkInterfaceId: {
            shape: {
                type: "string"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        NotebookInstanceLifecycleConfigName: {
            shape: {
                type: "string"
            }
        },
        DirectInternetAccess: {
            shape: {
                type: "string"
            }
        },
        VolumeSizeInGB: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        AcceleratorTypes: {
            shape: _NotebookInstanceAcceleratorTypes_1._NotebookInstanceAcceleratorTypes
        },
        DefaultCodeRepository: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AdditionalCodeRepositories: {
            shape: _AdditionalCodeRepositoryNamesOrUrls_1._AdditionalCodeRepositoryNamesOrUrls
        },
        RootAccess: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeNotebookInstanceOutput.js.map