"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TransformEnvironmentMap_1 = require("./_TransformEnvironmentMap");
var _TransformInput_1 = require("./_TransformInput");
var _TransformOutput_1 = require("./_TransformOutput");
var _TransformResources_1 = require("./_TransformResources");
var _DataProcessing_1 = require("./_DataProcessing");
exports.DescribeTransformJobOutput = {
    type: "structure",
    required: [
        "TransformJobName",
        "TransformJobArn",
        "TransformJobStatus",
        "ModelName",
        "TransformInput",
        "TransformResources",
        "CreationTime"
    ],
    members: {
        TransformJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TransformJobArn: {
            shape: {
                type: "string"
            }
        },
        TransformJobStatus: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        ModelName: {
            shape: {
                type: "string"
            }
        },
        MaxConcurrentTransforms: {
            shape: {
                type: "integer"
            }
        },
        MaxPayloadInMB: {
            shape: {
                type: "integer"
            }
        },
        BatchStrategy: {
            shape: {
                type: "string"
            }
        },
        Environment: {
            shape: _TransformEnvironmentMap_1._TransformEnvironmentMap
        },
        TransformInput: {
            shape: _TransformInput_1._TransformInput
        },
        TransformOutput: {
            shape: _TransformOutput_1._TransformOutput
        },
        TransformResources: {
            shape: _TransformResources_1._TransformResources
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TransformStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        TransformEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LabelingJobArn: {
            shape: {
                type: "string"
            }
        },
        DataProcessing: {
            shape: _DataProcessing_1._DataProcessing
        }
    }
};
//# sourceMappingURL=DescribeTransformJobOutput.js.map