"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _UiConfig_1 = require("./_UiConfig");
var _TaskKeywords_1 = require("./_TaskKeywords");
var _AnnotationConsolidationConfig_1 = require("./_AnnotationConsolidationConfig");
var _PublicWorkforceTaskPrice_1 = require("./_PublicWorkforceTaskPrice");
exports._HumanTaskConfig = {
    type: "structure",
    required: [
        "WorkteamArn",
        "UiConfig",
        "PreHumanTaskLambdaArn",
        "TaskTitle",
        "TaskDescription",
        "NumberOfHumanWorkersPerDataObject",
        "TaskTimeLimitInSeconds",
        "AnnotationConsolidationConfig"
    ],
    members: {
        WorkteamArn: {
            shape: {
                type: "string"
            }
        },
        UiConfig: {
            shape: _UiConfig_1._UiConfig
        },
        PreHumanTaskLambdaArn: {
            shape: {
                type: "string"
            }
        },
        TaskKeywords: {
            shape: _TaskKeywords_1._TaskKeywords
        },
        TaskTitle: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TaskDescription: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NumberOfHumanWorkersPerDataObject: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        TaskTimeLimitInSeconds: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        TaskAvailabilityLifetimeInSeconds: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        MaxConcurrentTaskCount: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        AnnotationConsolidationConfig: {
            shape: _AnnotationConsolidationConfig_1._AnnotationConsolidationConfig
        },
        PublicWorkforceTaskPrice: {
            shape: _PublicWorkforceTaskPrice_1._PublicWorkforceTaskPrice
        }
    }
};
//# sourceMappingURL=_HumanTaskConfig.js.map