"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameters_1 = require("./_HyperParameters");
var _HyperParameterAlgorithmSpecification_1 = require("./_HyperParameterAlgorithmSpecification");
var _InputDataConfig_1 = require("./_InputDataConfig");
var _VpcConfig_1 = require("./_VpcConfig");
var _OutputDataConfig_1 = require("./_OutputDataConfig");
var _ResourceConfig_1 = require("./_ResourceConfig");
var _StoppingCondition_1 = require("./_StoppingCondition");
exports._HyperParameterTrainingJobDefinition = {
    type: "structure",
    required: [
        "AlgorithmSpecification",
        "RoleArn",
        "OutputDataConfig",
        "ResourceConfig",
        "StoppingCondition"
    ],
    members: {
        StaticHyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        AlgorithmSpecification: {
            shape: _HyperParameterAlgorithmSpecification_1._HyperParameterAlgorithmSpecification
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputDataConfig: {
            shape: _InputDataConfig_1._InputDataConfig
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        OutputDataConfig: {
            shape: _OutputDataConfig_1._OutputDataConfig
        },
        ResourceConfig: {
            shape: _ResourceConfig_1._ResourceConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        },
        EnableInterContainerTrafficEncryption: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_HyperParameterTrainingJobDefinition.js.map