"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameterSpecifications_1 = require("./_HyperParameterSpecifications");
var _TrainingInstanceTypes_1 = require("./_TrainingInstanceTypes");
var _MetricDefinitionList_1 = require("./_MetricDefinitionList");
var _ChannelSpecifications_1 = require("./_ChannelSpecifications");
var _HyperParameterTuningJobObjectives_1 = require("./_HyperParameterTuningJobObjectives");
exports._TrainingSpecification = {
    type: "structure",
    required: [
        "TrainingImage",
        "SupportedTrainingInstanceTypes",
        "TrainingChannels"
    ],
    members: {
        TrainingImage: {
            shape: {
                type: "string"
            }
        },
        TrainingImageDigest: {
            shape: {
                type: "string"
            }
        },
        SupportedHyperParameters: {
            shape: _HyperParameterSpecifications_1._HyperParameterSpecifications
        },
        SupportedTrainingInstanceTypes: {
            shape: _TrainingInstanceTypes_1._TrainingInstanceTypes
        },
        SupportsDistributedTraining: {
            shape: {
                type: "boolean"
            }
        },
        MetricDefinitions: {
            shape: _MetricDefinitionList_1._MetricDefinitionList
        },
        TrainingChannels: {
            shape: _ChannelSpecifications_1._ChannelSpecifications
        },
        SupportedTuningJobObjectiveMetrics: {
            shape: _HyperParameterTuningJobObjectives_1._HyperParameterTuningJobObjectives
        }
    }
};
//# sourceMappingURL=_TrainingSpecification.js.map